%global momorel 2
Summary:	Model to synchronize multiple instances over DBus
Name:		dee
Version:	1.2.7
Release: %{momorel}m%{?dist}
# GPLv3-licensed tests and examples are in the tarball, but not installed
License:	LGPLv3
Group:		System Environment/Libraries
URL:		https://launchpad.net/dee
Source0:	http://launchpad.net/dee/1.0/%{version}/+download/%{name}-%{version}.tar.gz
NoSource: 0
BuildRequires:	vala-tools
BuildRequires:	gtk-doc
BuildRequires:	dbus-glib-devel
BuildRequires:	gobject-introspection-devel
BuildRequires:	libicu-devel >= 4.6
# For %{python_sitearch}/gi/overrides directory
Requires:	pygobject2

%description
Libdee is a library that uses DBus to provide objects allowing you to
create Model-View-Controller type programs across DBus. It also
consists of utility objects which extend DBus allowing for peer-to-peer
discoverability of known objects without needing a central registrar.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name}%{?_isa} = %{version}-%{release}
Requires:	pkgconfig

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
export CFLAGS="%{optflags} -Wno-error=maybe-uninitialized"
%configure --disable-static
%make  V=1

%install
make DESTDIR=%{buildroot} install
find %{buildroot} -regex ".*\.la$" | xargs rm -f --

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc COPYING
%{_bindir}/dee-tool
%{_libdir}/girepository-1.0/*.typelib
%{_libdir}/libdee*.so.*
%{python_sitearch}/gi/overrides/Dee.*

%files devel
%doc COPYING
%{_includedir}/dee-1.0
%{_libdir}/libdee*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/*.gir
%{_datadir}/gtk-doc/html/dee-1.0
%{_datadir}/vala/vapi/*.vapi
%{_datadir}/vala/vapi/*.deps

%changelog
* Wed May 11 2016 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.2.7-2m)
- rebuild against icu-57.1-1m

* Fri Sep 26 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.2.7-1m)
- import from fedora

